name: beat-web
channels:
  - http://www.idiap.ch/software/beat/conda/label/beta
  - http://www.idiap.ch/software/beat/conda
  - defaults
dependencies:
  # packages you may pin are here
  - python=3.6
  - bob-devel=2018.12.11
  - beat-devel=2018.12.15

  # requirements.txt, they are indirectly pinned through the above
  - beat.core
  - docopt
  - docutils
  - jinja2
  - matplotlib
  - psutil
  - psycopg2
  - pytz
  - simplejson

  # these are required for local development, they are not runtime
  - beat.cmdline
  - bob.extension
  - nose
  - coverage
  - sphinx
  - sphinx_rtd_theme
  - bob.buildout
  - mr.developer
  - sphinxcontrib-programoutput
  - sphinxcontrib-httpdomain

  # add here, packages which are **not** available on above channels
  - pip:
    - django>=1.11,<2.0
    - django-activity-stream>=0.6,<0.7
    - django-guardian>=1.4,<1.5
    - django-jsonfield>=1.0,<1.1
    - django-jsonfield-compat>=0.4,<0.5
    - django-post_office>=3.1,<3.2
    - django-rest-swagger>=2.2,<2.3
    - djangorestframework>=3.9,<3.10
